Bug 1005674 - Unable to delete workspace when using Microsoft SQL Server 2008 database
Unable to delete workspace when using Microsoft SQL Server 2008 database
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity high
: ER4
: 6.0.0
Assigned To: Neus Miras
Jan Hrcek
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 02:50 EDT by Jan Hrcek
Modified: 2014-08-06 16:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:09:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Server log with UNEXPECTED ERROR (85.30 KB, text/x-log)
2013-09-09 02:50 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-09-09 02:50:53 EDT
Created attachment 795506 [details]
Server log with UNEXPECTED ERROR

Description of problem:
Similarly as in https://bugzilla.redhat.com/show_bug.cgi?id=1005555,

when you try to delete duplicated workspace while using Microsoft SQL Server 2008 R2 as an underlying data source, you get an UNEXPECTED ERROR and the duplicated workspace is note deleted.

The exception thrown is:
com.microsoft.sqlserver.jdbc.SQLServerException: The data types text and nvarchar are incompatible in the equal to operator.

Attaching server log with error.


Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER2 deployed on EAP 6.1.0, configured with Microsoft SQL server 2008 R2

How reproducible:
Always

Steps to Reproduce:
are the same as for BZ 1005555 metnioned above, except for configuration of datasource - use Microsoft SQL Server 2008 R2

Actual results:
The unexpected error dialog appears with exception (see server.log attached), duplicated workspace is not deleted.

Expected results:
No exception is thrown, duplicated workspaces can be deleted successfully.
Comment 1 Neus Miras 2013-09-10 12:01:45 EDT
Is the same problem that was resolved in bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1005555

We have changed the check of if another panel has the kpi configured when a panel is deleted implementation,  to avoid the query error with the comparison 'text and nvarchar are incompatible in the equal to operator'

The commits that resolve this issue are described in that bug report
Comment 5 Jan Hrcek 2013-10-15 08:32:19 EDT
Verified with BPMS 6.0.0 ER4 + MSSQL 2008 R2

Note You need to log in before you can comment on or make changes to this bug.